/*
 * File:        trips.c
 * Description: Manages the trips functionality
 */
 
#include <stdlib.h>
#include <string.h>
#include <stdio.h>

#include "trips.h" 

/*
 * Function:    trips_initStruct
 * Description: Contains common functionality when initializing a new trip struct
 * Arguments:   trip: Upon return, the trip struct ready to be filled
 * Returns:     ---
 */
void trips_initStruct(tTrip * trip)
{
	memset(trip->departure, 0, MAX_NAME_LENGTH);
	memset(trip->arrival, 0, MAX_NAME_LENGTH);
	trip->availableSeats = 0;
	trip->dateTime.year = 0;
	trip->dateTime.month = 0;
	trip->dateTime.day = 0;
	trip->dateTime.hour = 0;
	trip->dateTime.minute = 0;
	trip->identifier = 0;
	trip->nextTrip = NULL;
}
